UPTIME(1)

NAZWA
uptime - informacja, jak długo działa system.

SKŁADNIA
uptime [opcje]

OPIS
uptime w pojedynczej linii podaje następujące informacje: bieżący czas; czas, jak długo działa system; liczbę aktualnie zalogowanych użytkowników; średnie obciążenie systemu dla ostatnich 1, 5 i 15 minut.

Są to te same informacje, które zawiera linia nagłówka wyświetlana przez polecenie w(1).

Średnie obciążenie systemu to średnia liczba procesów w stanie działającym lub nieprzerywalnym. Proces jest w stanie działającym, kiedy używa procesora lub oczekuje na procesor. Proces jest w stanie nieprzerywalnym, kiedy oczekuje na jakiś dostęp we/wy, np. na dysk. Średnie są obliczane dla trzech okresów czasu. Nie są normalizowane pod kątem liczby procesorów w systemie, więc średnie obciążenie 1 oznacza, że system jednoprocesorowy jest obciążony cały czas, podczas gdy system 4-procesorowy jest bezczynny przez 75% czasu.

OPCJE

-p, --pretty
    wyświetlenie czasu działania w ładnym formacie

-h, --help
    wyświetlenie tego opisu

-s, --since
    początek czasu działania systemu w formacie rrrr-mm-dd GG:MM:SS

-V, --version
    wyświetlenie informacji o wersji i zakończenie

PLIKI

/var/run/utmp
    informacja o tym, kto jest obecnie zalogowany

/proc
    informacje o procesach

AUTORZY
Program uptime napisali Larry Greenfield (greenfie@gauss.rutgers.edu) oraz Michael K. Johnson (johnsonm@sunsite.unc.edu)

ZOBACZ TAKŻE
ps(1), top(1), utmp(5), w(1)

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów prosimy wysyłać na adres procps@freelists.org